import dynamix_sdk.base as _base
from dynamix_sdk.api import _nested


class CloudapiComputePfwDelResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiComputePfwDelProtocol(_base.BasePostAPIFunctionProtocol):
    def pfw_del(
        self,
        *,
        vm_id: int,
        rule_id: int | None = None,
        public_port_start: int | None = None,
        public_port_end: int | None = None,
        local_port: int | None = None,
        protocol: _nested.NATRuleProtocol | None = None,
    ) -> CloudapiComputePfwDelResultBool:
        ...
